diff options
Diffstat (limited to 'tests/timeout.sh')
-rw-r--r-- | tests/timeout.sh | 21 |
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/timeout.sh b/tests/timeout.sh new file mode 100644 index 000000000000..2ebd06b9330c --- /dev/null +++ b/tests/timeout.sh @@ -0,0 +1,21 @@ +# Test the `--timeout' option. + +source common.sh + +failed=0 +messages="`nix-build -Q timeout.nix --timeout 2 2>&1 || failed=1`" +if [ $failed -ne 0 ]; then + echo "error: ‘nix-store’ succeeded; should have timed out" + exit 1 +fi + +if ! echo "$messages" | grep -q "timed out"; then + echo "error: build may have failed for reasons other than timeout; output:" + echo "$messages" >&2 + exit 1 +fi + +if nix-build -Q timeout.nix --option build-max-log-size 100; then + echo "build should have failed" + exit 1 +fi |